Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class MovieExporter

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.qtcomponents.MovieExporter

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class MovieExporter
extends Component
implements quicktime.jdirect.QuickTimeLib

Assists in exporting movie data and data conversion operations. The MovieDataImportComponent implements methods for a corresponding QuickTime ComponentInstance structure. refer to Movie Data Exchange in QuickTime

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`MovieExporter(ComponentIdentifier comp)` Given a component identifier it opens the specified component.
`MovieExporter(int subType)` Opens the specified movie export component,'spit', with the given subType.

Method Summary
`boolean` | `doUserDialog(Movie theMovie, Track onlyThisTrack, int startTime, int duration)` Determines the data reference handle for the movie export component.
`int` | `getAuxiliaryData(QTHandle dataH)` Determines the data type for the component.
`int` | `getCreatorType()` Determines the file type creator for the component.
`int` | `getExportFileNameExtension()` Gets the movie export components current FileNameExtension.
`AtomContainer` | `getExportSettingsFromAtomContainer()` Retrieves the current settings from the movie export component..
`java.lang.String` | `getExportShortFileTypeString()` No Documentation.
`int` | `getExportSourceMediaType()` This routine returns an OSType value through its mediaType parameter, which is interpreted in exactly the same way that the componentManufacturer was previously interpreted.
`void` | `setExportSettingsFromAtomContainer(AtomContainer settings)` Sets the movie export componentŐs current configuration from the passed settings data.
`void` | `setProgressProc(MovieProgress mp)` This method establishes a MovieProgress object for the MovieExporter that will be called for you by the Movie Toolbox whenever it has to do a lengthy movie export process with this MovieExporter QuickTime::MovieExportSetProgressProc
`void` | `setSampleDescription(SampleDescription desc, int mediaType)` Specifies the SampleDescription and media type for the component.
`void` | `toDataRef(DataRef dataRef, Movie theMovie, Track onlyThisTrack, int startTime, int duration)` Exports the movie's track data to the specified data reference for the movie export component.
`void` | `toFile(QTFile theFile, Movie theMovie, Track onlyThisTrack, int startTime, int duration)` This method is used to export movie data into a file.
`QTHandle` | `toHandle(Movie theMovie, Track onlyThisTrack, int startTime, int duration)` Exports the movie's track data into a handle, returning the handle the data is exported too.
`boolean` | `validate(Movie theMovie, Track onlyThisTrack)` Use this method to determine whether the movie or track could be exported by this exporter.

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MovieExporter

    public MovieExporter(int subType)
                  throws QTException

  Opens the specified movie export component,'spit', with the given subType.
  QuickTime::OpenADefaultComponent
Parameters:
  `subType` - The movie export component sub type

### MovieExporter

    public MovieExporter(ComponentIdentifier comp)
                  throws QTException

  Given a component identifier it opens the specified component. The component type must be 'spit' or an exception will be thrown as it is not a MovieExporter. This constructor allows an application to find the appropriate export component and then have that component opened.
  QuickTime::OpenAComponent
Parameters:
  `comp` - the component identifier to open

Method Detail

### setProgressProc

    public void setProgressProc(MovieProgress mp)
                         throws StdQTException

  This method establishes a MovieProgress object for the MovieExporter that will be called for you by the Movie Toolbox whenever it has to do a lengthy movie export process with this MovieExporter
  QuickTime::MovieExportSetProgressProc

  Parameters:
    `mp` - the MovieProgress object, or null for no progress object

### toFile

    public void toFile(QTFile theFile,
                       Movie theMovie,
                       Track onlyThisTrack,
                       int startTime,
                       int duration)
                throws QTException

  This method is used to export movie data into a file.
  QuickTime::MovieExportToFile

  Parameters:
    `theFile` - the file that is to receive the converted movie data
    `theMovie` - specifies the movie to export.
    `onlyThisTrack` - Specifies the track used to reference.
    `startTime` - Specifies the start time value of the time base.
    `duration` - Specifies the elapsed time value of the timebase.
  Returns:
    The file containing the converted movie data.

### toHandle

    public QTHandle toHandle(Movie theMovie,
                             Track onlyThisTrack,
                             int startTime,
                             int duration)
                      throws QTException

  Exports the movie's track data into a handle, returning the handle the data is exported too.
  QuickTime::MovieExportToHandle

  Parameters:
    `theMovie` - Specifies the movie.
    `onlyThisTrack` - Specifies the track used to reference.
    `startTime` - Specifies the start time of the time base.
    `duration` - Specifies the time value of the timebase.
  Returns:
    The handle containing the converted movie data.

### toDataRef

    public void toDataRef(DataRef dataRef,
                          Movie theMovie,
                          Track onlyThisTrack,
                          int startTime,
                          int duration)
                   throws StdQTException

  Exports the movie's track data to the specified data reference for the movie export component. Determines and opens the component to use for the given data reference and data type.
  QuickTime::MovieExportToDataRef

  Parameters:
    `theMovie` - Specifies the movie.
    `usedTrack` - Specifies the track used to reference.
    `tr` - Specifies the start time of the time base.
    `duration` - Specifies the time value of the timebase.
  Returns:
    The handle containing the converted movie data.

### getAuxiliaryData

    public int getAuxiliaryData(QTHandle dataH)
                         throws StdQTException

  Determines the data type for the component.
  QuickTime::MovieExportGetAuxiliaryData

  Parameters:
    `dataH` - Specifies the data handle.
  Returns:
    The handle type.

### setSampleDescription

    public void setSampleDescription(SampleDescription desc,
                                     int mediaType)
                              throws StdQTException

  Specifies the SampleDescription and media type for the component.
  QuickTime::MovieExportSetSampleDescription

  Parameters:
    `desc` - Specifies the sample description.
    `mediaType` - Specifies the media type.

### doUserDialog

    public boolean doUserDialog(Movie theMovie,
                                Track onlyThisTrack,
                                int startTime,
                                int duration)
                         throws StdQTException

  Determines the data reference handle for the movie export component.
  QuickTime::MovieExportDoUserDialog

  Parameters:
    `theMovie` - Specifies the movie.
    `onlyThisTrack` - Specifies the track used to reference.
    `startTime` - Specifies the start time of the time base.
    `duration` - Specifies the time value of the timebase.
  Returns:
    True, if the dialog operation was canceled, otherwise false.

### getCreatorType

    public int getCreatorType()
                       throws StdQTException

  Determines the file type creator for the component.
  QuickTime::MovieExportGetCreatorType
  Returns:
    The creator file type.

### validate

    public boolean validate(Movie theMovie,
                            Track onlyThisTrack)
                     throws StdQTException

  Use this method to determine whether the movie or track could be exported by this exporter.
  QuickTime::MovieExportValidate

  Parameters:
    `theMovie` - the movie for this operation.
    `onlyThisTrack` - identifies a track that is to be converted or null. If supplied the component will only convert the specified track.
  Returns:
    true if the export operation can occur, otherwise false.

### getExportSettingsFromAtomContainer

    public AtomContainer getExportSettingsFromAtomContainer()
                                                     throws StdQTException

  Retrieves the current settings from the movie export component..
  QuickTime::MovieExportGetSettingsAsAtomContainer

  Returns:
    an AtomContainer with the current settings.

### setExportSettingsFromAtomContainer

    public void setExportSettingsFromAtomContainer(AtomContainer settings)
                                            throws StdQTException

  Sets the movie export componentŐs current configuration from the passed settings data.
  QuickTime::MovieExportSetSettingsFromAtomContainer

  Parameters:
    `Contains` - a QT atom container reference to the settings.

### getExportFileNameExtension

    public final int getExportFileNameExtension()
                                         throws StdQTException

  Gets the movie export components current FileNameExtension.
  QuickTime::MovieExportGetFileNameExtension
  Parameters:
    `Contains` - a QT atom container reference to the settings.
  Returns:
    and ostype of the current filename extension.

### getExportShortFileTypeString

    public final java.lang.String getExportShortFileTypeString()
                                                        throws StdQTException

  No Documentation.
  QuickTime::MovieExportGetShortFileTypeString
  Returns:
    a java string.

### getExportSourceMediaType

    public final int getExportSourceMediaType()
                                       throws StdQTException

  This routine returns an OSType value through its mediaType parameter, which is interpreted in exactly the same way that the componentManufacturer was previously interpreted. If the export component requires a particular type of track to exist in a movie, it returns that media handler type (e.g., VideoMediaType, SoundMediaType, etc.)
  QuickTime::MovieExportGetSourceMediaType
  Returns:
    and ostype.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD